### Class

# GObject BindingGroup

since: 2.72

#### Description

    final class GObject.BindingGroup : GObject.Object
    {
      /* No available fields */
    }

`GBindingGroup` can be used to bind multiple properties from an object collectively.

Use the various methods to bind properties from a single source object to multiple destination objects. Properties can be bound bidirectionally and are connected when the source object is set with `g_binding_group_set_source()`.

Available since: 2.72

#### Ancestors

- GObject

#### Constructors

###### g_binding_group_new

Creates a new `GBindingGroup`.

since: 2.72

#### Instance methods

###### g_binding_group_bind

Creates a binding between `source_property` on the source object and `target_property` on `target`. Whenever the `source_property` is changed the `target_property` is updated using the same value. The binding flag `G_BINDING_SYNC_CREATE` is automatically specified.

since: 2.72

###### g_binding_group_bind_full

Creates a binding between `source_property` on the source object and `target_property` on `target`, allowing you to set the transformation functions to be used by the binding. The binding flag `G_BINDING_SYNC_CREATE` is automatically specified.

since: 2.72

###### g_binding_group_bind_with_closures

Creates a binding between `source_property` on the source object and `target_property` on `target`, allowing you to set the transformation functions to be used by the binding. The binding flag `G_BINDING_SYNC_CREATE` is automatically specified.

since: 2.72

###### g_binding_group_dup_source

Gets the source object used for binding properties.

since: 2.72

###### g_binding_group_set_source

Sets `source` as the source object used for creating property bindings. If there is already a source object all bindings from it will be removed.

since: 2.72

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GObject.BindingGroup:source

The source object used for binding properties.

since: 2.72

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0